---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libclassfloadhk007.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x2D20, symSize: 0x270 }
  - { offsetInCU: 0xAC4, offset: 0xAC4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x504C0, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0xAEB, offset: 0xAEB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52400, symBinAddr: 0xE138, symSize: 0x0 }
  - { offsetInCU: 0xB0D, offset: 0xB0D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x527E8, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB2F, offset: 0xB2F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53788, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53790, symBinAddr: 0xF4C8, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50130, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50134, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50138, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC1A, offset: 0xC1A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50288, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC93, offset: 0xC93, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50340, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCB1, offset: 0xCB1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50344, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50348, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5034C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50350, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92C2, offset: 0x92C2, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50358, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50368, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9364, offset: 0x9364, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50370, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x937D, offset: 0x937D, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50378, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9396, offset: 0x9396, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50380, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50388, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93C9, offset: 0x93C9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50390, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94AF, offset: 0x94AF, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x503D8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94C8, offset: 0x94C8, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x50414, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x94E1, offset: 0x94E1, size: 0x8, addend: 0x0, symName: __ZL11classLoader, symObjAddr: 0x50418, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94FA, offset: 0x94FA, size: 0x8, addend: 0x0, symName: __ZL11testedClass, symObjAddr: 0x50420, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9513, offset: 0x9513, size: 0x8, addend: 0x0, symName: __ZL14redefClassSize, symObjAddr: 0x50428, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x952C, offset: 0x952C, size: 0x8, addend: 0x0, symName: __ZL15redefClassBytes, symObjAddr: 0x50430, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x957E, offset: 0x957E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x1B38, symSize: 0xA0 }
  - { offsetInCU: 0x9613, offset: 0x9613, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x1B10, symSize: 0x28 }
  - { offsetInCU: 0x9676, offset: 0x9676, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x1A90, symSize: 0x80 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x1BD8, symSize: 0x34 }
  - { offsetInCU: 0x9964, offset: 0x9964, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x1C0C, symSize: 0x20C }
  - { offsetInCU: 0x9B1D, offset: 0x9B1D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x1E18, symSize: 0x28 }
  - { offsetInCU: 0x9BE6, offset: 0x9BE6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x1E40, symSize: 0xB0 }
  - { offsetInCU: 0x9CDD, offset: 0x9CDD, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x1EF0, symSize: 0xD8 }
  - { offsetInCU: 0x9E46, offset: 0x9E46, size: 0x8, addend: 0x0, symName: _nsk_printHexBytes, symObjAddr: 0x8B4, symBinAddr: 0x1FC8, symSize: 0x1AC }
  - { offsetInCU: 0x9FB8, offset: 0x9FB8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2174, symSize: 0x24 }
  - { offsetInCU: 0xA09B, offset: 0xA09B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2198, symSize: 0x168 }
  - { offsetInCU: 0xA277, offset: 0xA277, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2300, symSize: 0x104 }
  - { offsetInCU: 0xA528, offset: 0xA528, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2404, symSize: 0x3F8 }
  - { offsetInCU: 0xA74C, offset: 0xA74C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x27FC, symSize: 0x154 }
  - { offsetInCU: 0xA930, offset: 0xA930, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2950, symSize: 0xAC }
  - { offsetInCU: 0xAA5D, offset: 0xAA5D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x29FC, symSize: 0x14 }
  - { offsetInCU: 0xAA96, offset: 0xAA96, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x2A10, symSize: 0x14 }
  - { offsetInCU: 0xAACF, offset: 0xAACF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x2A24, symSize: 0x14 }
  - { offsetInCU: 0xAC4C, offset: 0xAC4C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x2A38, symSize: 0x1A8 }
  - { offsetInCU: 0xAF56, offset: 0xAF56, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x2BE0, symSize: 0x140 }
  - { offsetInCU: 0xB0F7, offset: 0xB0F7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x2F90, symSize: 0x1C0 }
  - { offsetInCU: 0xB3D4, offset: 0xB3D4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3150, symSize: 0x9C }
  - { offsetInCU: 0xB491, offset: 0xB491, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x31EC, symSize: 0x690 }
  - { offsetInCU: 0xC023, offset: 0xC023, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA064, symBinAddr: 0x531C, symSize: 0x30 }
  - { offsetInCU: 0xC0AF, offset: 0xC0AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x387C, symSize: 0x74 }
  - { offsetInCU: 0xC15F, offset: 0xC15F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x38F0, symSize: 0xB0 }
  - { offsetInCU: 0xC26A, offset: 0xC26A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x39A0, symSize: 0x3C }
  - { offsetInCU: 0xC360, offset: 0xC360, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x39DC, symSize: 0x29C }
  - { offsetInCU: 0xC6A3, offset: 0xC6A3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x3C78, symSize: 0xD0 }
  - { offsetInCU: 0xC7D1, offset: 0xC7D1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x3D48, symSize: 0xC }
  - { offsetInCU: 0xC893, offset: 0xC893, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x3D54, symSize: 0x22C }
  - { offsetInCU: 0xCB4E, offset: 0xCB4E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x3F80, symSize: 0x4 }
  - { offsetInCU: 0xCB92, offset: 0xCB92, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x3F80, symSize: 0x4 }
  - { offsetInCU: 0xCBAB, offset: 0xCBAB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x3F84, symSize: 0x2FC }
  - { offsetInCU: 0xCF4E, offset: 0xCF4E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC8, symBinAddr: 0x4280, symSize: 0x4 }
  - { offsetInCU: 0xCF92, offset: 0xCF92, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC8, symBinAddr: 0x4280, symSize: 0x4 }
  - { offsetInCU: 0xD074, offset: 0xD074, size: 0x8, addend: 0x0, symName: __ZL25callbackClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0x8FCC, symBinAddr: 0x4284, symSize: 0x4F0 }
  - { offsetInCU: 0xD54C, offset: 0xD54C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x94BC, symBinAddr: 0x4774, symSize: 0xBA8 }
  - { offsetInCU: 0xE34A, offset: 0xE34A, size: 0x8, addend: 0x0, symName: __ZL9getObjectP9_jvmtiEnvP7JNIEnv_P7_jclassPKcS6_, symObjAddr: 0xA3EC, symBinAddr: 0x56A4, symSize: 0x250 }
  - { offsetInCU: 0xE638, offset: 0xE638, size: 0x8, addend: 0x0, symName: __ZL13redefineClassP9_jvmtiEnvP7_jclassPKciPh, symObjAddr: 0xA63C, symBinAddr: 0x58F4, symSize: 0xFC }
  - { offsetInCU: 0xE78D, offset: 0xE78D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA094, symBinAddr: 0x534C, symSize: 0x358 }
...
